# -*- coding: utf-8 -*-
import unittest
from waeup.sirp.students.utils import formatted_text

class FormatterTests(unittest.TestCase):

    def test_formatted_text(self):
        # we can format strings, unicode and things convertable to unicode.
        result1 = formatted_text('sample')
        result2 = formatted_text('ümlaut')
        result3 = formatted_text(3)
        result4 = formatted_text(u'unicöde')
        result5 = formatted_text(u'sample', color='red', size=12)
        self.assertTrue(isinstance(result1, unicode))
        self.assertEqual(
            result1, u'<font color="black" size="10">sample</font>')
        self.assertEqual(
            result2, u'<font color="black" size="10">ümlaut</font>')
        self.assertEqual(
            result3, u'<font color="black" size="10">3</font>')
        self.assertEqual(
            result4, u'<font color="black" size="10">unicöde</font>')
        self.assertEqual(
            result5, u'<font color="red" size="12">sample</font>')
        return
