"""This package contains everything regarding university applicants.
"""
# Make this a package.
from waeup.sirp.applicants.applicant import (
    Applicant, ApplicantFactory, ApplicantImageStoreHandler,
    ApplicantImageNameChooser,
    )
from waeup.sirp.applicants.container import ApplicantsContainer
from waeup.sirp.applicants.root import ApplicantsRoot
from waeup.sirp.applicants.dynamicroles import (
    ApplicantPrincipalRoleManager,)

__all__ = [
    'Applicant',
    'ApplicantFactory',
    'ApplicantImageNameChooser',
    'ApplicantImageStoreHandler',
    'ApplicantPrincipalRoleManager',
    'ApplicantsContainer',
    'ApplicantsRoot',
    ]
